## libgpiv 0.6.1

=== debian/changelog ===
libgpiv (0.6.1-7.1build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:35:09 +0000

libgpiv (0.6.1-7.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 17:54:03 +0100

libgpiv (0.6.1-7) unstable; urgency=medium

  * Fix libgpiv3-dev to depend on either of the conflicting implementations,
    not both.  Closes: #869549.

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Sep 2017 18:18:20 +0000

libgpiv (0.6.1-6) unstable; urgency=medium

  * QA upload.
  * wrap-and-sort
  * Bump d/compat to level 10
  * Rebuild d/rules in short debhelper format
  * Enable multiarch
  * Remove dh_make boilerplate code from d/watch (fiexs lintian warning)
  * d/control: Add conflicts for library variants
  * d/control: Add Build-Depends-Indep for arch-independent build, remove
    doxygen from Build-Depend

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Jul 2017 16:02:42 +0200

libgpiv (0.6.1-5) unstable; urgency=medium

  * QA upload.
  * Change maintainer to the QA group.
  * New patch 05-doxygen.diff
    - fix out-of-debian patched files
    - fix privacy breach lintian error.
  * Change to automatic debug package.
  * Add CVS-* fields to d/control, pointing to collab-maint
  * Do not embedd doxygen's md5 files in the -doc package
  * Set d/source/format to 3.0 (quilt)

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Jul 2017 02:28:34 +0200

libgpiv (0.6.1-4.4) unstable; urgency=medium

  * Non-maintainer upload.
  * New patch 04-avoid-bool-keyword.diff to fix FTBFS against HDF5 1.10
    (closes: #841962)

 -- Gilles Filippini <pini@debian.org>  Sun, 30 Oct 2016 18:01:54 +0100

libgpiv (0.6.1-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libpng16, using patch from Nobuhiro (Closes: #650489)
  * Update build dependencies for GSL 2.x", patch from Bas (Closes: #807207)

 -- Tobias Frost <tobi@debian.org>  Thu, 07 Jan 2016 22:28:15 +0100

libgpiv (0.6.1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove $datetime from doxygen_footer.html to make package reproducible (closes: #788737)

 -- akira <marivalenm@gmail.com>  Sun, 14 Jun 2015 18:29:23 +0200

libgpiv (0.6.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Support hdf5 1.8.13 new packaging layout (closes: #756674).

 -- Gilles Filippini <pini@debian.org>  Wed, 06 Aug 2014 16:54:12 +0200

libgpiv (0.6.1-4) unstable; urgency=low

  * Adapted Hdf5 calls to libhdf5-1.8.8 API. Closes: #657199

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Wed, 1 Feb 2012 10:52:00 +0100

libgpiv (0.6.1-3) unstable; urgency=low

  * Repairs failing to install, trying to overwrite other packages 
  files. Closes: #540494
  * Repairs unrealistic interrogation results, due to OMP. Closes: #545830

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Fri, 9 Oct 2009 12:11:00 +0100

libgpiv (0.6.1-2) unstable; urgency=low

  * Repairs conflict of installation /etc/gpiv.conf when upgrading 
  from an older release. Closes: #524025

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Mon, 20 April 2009 11:28:00 +0100

libgpiv (0.6.1-1) unstable; urgency=low

  * New upstream release
  * Added Message Passing Interface (MPI) version of library package

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Sat, 22 Nov 2008 13:51:00 +0100

libgpiv (0.6.0-1) unstable; urgency=low

  * New upstream release

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Tue, 4 Nov 2008 12:31:00 +0100

libgpiv (0.5.2-5) unstable; urgency=normal

  * Gpiv.conf is not loaded from gpiv_scan_resourcefiles when $HOME/.gpivrc
  is absent. Closes: #489201

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Wed, 4 July 2008 09:03:00 +0100

libgpiv (0.5.2-4) unstable; urgency=low

  * Libgpiv3-dev conflicts with libgpiv2-dev. Closes: #486711

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Wed, 18 June 2008 09:20:00 +0100

libgpiv (0.5.2-3) unstable; urgency=low

  * Repaired debian/watch. Closes: #450043

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Fri, 6 June 2008 11:23:00 +0100

libgpiv (0.5.2-2) unstable; urgency=low

  * Improved from comments provided by Vincent Bernat

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Tue, 3 June 2008 11:40:00 +0100

libgpiv (0.5.2-1) unstable; urgency=low

  * New upstream release

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Wed, 9 April 2008 12:05:00 +0100

libgpiv (0.3.3-2) unstable; urgency=low

  * Updated to Standards-Version: 3.7.2

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Wed, 7 Jun 2006 18:09:58 +0200

libgpiv (0.3.3-1) unstable; urgency=low

  * Initial Release. Closes: #354150

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Wed, 22 Mar 2006 20:39:27 +0100
