=== debian/control ===
Source: libgpiv
Section: science
Priority: optional
Standards-Version: 3.9.2
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://libgpiv.sourceforge.net/
VCS-Git: https://anonscm.debian.org/git/collab-maint/libgpiv.git
VCS-Browser: https://anonscm.debian.org/git/collab-maint/libgpiv.git
Build-Depends: autotools-dev,
               debhelper (>= 10),
               libfftw3-dev,
               libglib2.0-dev,
               libgomp1,
               libgsl-dev,
               libhdf5-dev (>= 1.8.8),
               libpng-dev,
               mpi-default-dev,
               netpbm,
               quilt (>= 0.40),
               dh-exec,
               autoconf-archive (>= 20160916-1)
Build-Depends-Indep: doxygen, autoconf-archive (>= 20160916-1)

Package: libgpiv3-common
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: library for Particle Image Velocimetry (PIV) - common files
 This library contains functions for evaluating images from a fluid
 flow by means of Particle Image Velocimetry (PIV).
 .
 This package contains the files that the libgpiv3-* packages share,
 like the configuration file.

Package: libgpiv3
Section: libs
Architecture: any
Depends: libgpiv3-common,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libgpiv-mpi3
Description: library for Particle Image Velocimetry (PIV)
 This library contains functions for evaluating images from a fluid
 flow by means of Particle Image Velocimetry (PIV).
 .
 PIV is a way to film the wind or liquid flows. It uses a sequence of
 at least two images that are recorded with a well controlled
 separation time in-between. Tracer particles that are resident in the
 fluid may be illuminated by a light source, mostly a laser, that has
 been re-shaped into a sheet of light. In this way, the average
 displacement and the deformation of the image texture is
 obtained. Applying this analyses on small samples of the images on a
 (rectangular) grid results into an instantaneous velocity field of
 the fluid flow. PIV may also be applied for other purposes, like
 deformations and vibrations of solid surfaces.
 .
 This library includes the core functions for image recording,
 processing, interrogation, PIV data validation, post-processing,
 input/output functions and memory allocation.

Package: libgpiv3-dev
Provides: libgpiv-dev
Section: libdevel
Architecture: any
Depends: libgpiv-mpi3 (= ${binary:Version}) | libgpiv3 (= ${binary:Version}),
         ${misc:Depends}
Description: library for Particle Image Velocimetry (PIV) - development files
 This library contains functions for evaluating images from a fluid flow
 by means of Particle Image Velocimetry (PIV), resulting into a velocity
 field of the fluid flow. It includes the core functions for interrogation,
 data validation, post-processing, input/output and memory allocation.
 .
 This package contains the headers and statically linked libraries
 (serial as well as parallelized using MPI).

Package: libgpiv3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for Particle Image Velocimetry (PIV) - documentation
 This library contains functions for evaluating images from a fluid flow
 by means of Particle Image Velocimetry (PIV), resulting into a velocity
 field of the fluid flow. It includes the core functions for interrogation,
 data validation, post-processing, input/output and memory allocation.
 .
 This package contains the Application Programming Interface (API)
 documentation, generated by doxygen in html format.

Package: libgpiv-mpi3
Section: libs
Architecture: any
Depends: libgpiv3-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libgpiv3
Description: library for Particle Image Velocimetry (PIV) - MPI version
 This library contains functions for evaluating images from a fluid
 flow by means of Particle Image Velocimetry (PIV).
 .
 PIV is a way to film the wind or liquid flows. It uses a sequence of
 at least two images that are recorded with a well controlled
 separation time in-between. Tracer particles that are resident in the
 fluid may be illuminated by a light source, mostly a laser, that has
 been re-shaped into a sheet of light. In this way, the average
 displacement and the deformation of the image texture is
 obtained. Applying this analyses on small samples of the images on a
 (rectangular) grid results into an instantaneous velocity field of
 the fluid flow. PIV may also be applied for other purposes, like
 deformations and vibrations of solid surfaces.
 .
 This package contains the parallelized library using Message Passing
 Interface (MPI).
