=== debian/rules ===
#!/usr/bin/make -f



#	# These are used for cross-compiling and for saving the configure script
#	# from having to guess our platform (since we know it already)
#	DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
#	DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  export CPPFLAGS += -I/usr/include/hdf5/serial
  export LDFLAGS += -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

CONFIGURE_OPTIONS=      --host=$(DEB_HOST_GNU_TYPE) \
		    	--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--sysconfdir=/etc \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--enable-omp


#configure: configure-serial configure-doc configure-mpi
#configure-doc: configure-stamp-doc
#configure-serial: configure-stamp-serial
#configure-mpi: configure-stamp-mpi

%:
	dh $@ --builddirectory=build-doc
	dh $@ --builddirectory=build-serial
	dh $@ --builddirectory=build-mpi

override_dh_auto_clean:
	dh_auto_clean $@
	rm -rf $(CURDIR)/debian/tmp-mpi

override_dh_auto_configure-arch:
	dh_auto_configure --builddirectory=build-serial -- $(CONFIGURE_OPTIONS)
	dh_auto_configure --builddirectory=build-mpi -- $(CONFIGURE_OPTIONS) --enable-mpi

override_dh_auto_configure-indep:
	dh_auto_configure --builddirectory=build-doc -- $(CONFIGURE_OPTIONS)

override_dh_auto_build-arch:
	dh_auto_build --builddirectory=build-serial
	dh_auto_build --builddirectory=build-mpi

override_dh_auto_build-indep:
	$(MAKE)  -C build-doc/ doxygen-doc

override_dh_auto_install-arch:
	dh_auto_install --builddirectory=build-serial
	dh_auto_install --builddirectory=build-mpi --destdir=$(CURDIR)/debian/tmp-mpi

override_dh_auto_install-indep:
	install -d $(CURDIR)/debian/usr/share/doc/libgpiv3-doc/html
	find build-doc/doxygen-doc/html/ -type f ! -name '*.md5' -exec \
		install -D '{}' -t "$(CURDIR)/debian/tmp/usr/share/doc/libgpiv3-doc/html/" \;
	#$(MAKE)  -C build-doc/ doxygen-install

override_dh_strip:
	dh_strip --dbgsym-migration='libgpiv3-dbg (<<0.6.1-5~)'
